Subject: Re: [lojban] le vlatai be lo cmene

From: Richard Curnow <[email-masked]>
Date: Sun, 9 Dec 2001 22:59:53 +0000

On Thu, Dec 06, 2001 at 05:25:43PM -0500, John Cowan wrote:
> Pierre Abbat wrote:
> 
> > I'm reading the Lessons and I saw a name {antonis.routc.}. This looks odd to 
> > me, as {ou} is not a valid diphthong. vlatai calls {routc} valid, but since 
> > {ou} is not a Lojban diphthong, it must be implicitly inserting a comma.
> 
> 
> No two words differ solely because of the presence or absence of commas,
> so "routc" and "ro,utc" are the same word.

This 'ruling' was incorporated into the lexing engine of vlatai and
jbofihe at the 0.38 release.

> 
> 
> > 
> > I then tried {ryytc}, {raatc}, {ryitc}, and {riytc}. {ryytc} is rejected as 
> > "Bad cmene - doesn't break up", but {ry,ytc} is accepted. {ryitc} is rejected 
> > with or without the comma. What is going on?
> 

I'm afraid I can't reproduce this with version 0.38. The message "bad cmene
doesn't break up" is generated by words like {bylaplas}, which have the
illegal 'la' inside, but couldn't break up in the normal way because the
preceding {by} would then have to have a pause after it. The word(s)
being tested do not have this form.

> Those look like bugs.

I've got vlatai to 'advise' on all the forms like this that I could
think of. Here are its findings:

raatc : cmene : raatc
raetc : cmene : raetc
raitc : cmene : raitc
raotc : cmene : raotc
rautc : cmene : rautc
raytc : UNMATCHED : raytc
reatc : cmene : reatc
reetc : cmene : reetc
reitc : cmene : reitc
reotc : cmene : reotc
reutc : cmene : reutc
reytc : UNMATCHED : reytc
riatc : cmene : riatc
rietc : cmene : rietc
riitc : cmene : riitc
riotc : cmene : riotc
riutc : cmene : riutc
riytc : cmene : riytc
roatc : cmene : roatc
roetc : cmene : roetc
roitc : cmene : roitc
rootc : cmene : rootc
routc : cmene : routc
roytc : UNMATCHED : roytc
ruatc : cmene : ruatc
ruetc : cmene : ruetc
ruitc : cmene : ruitc
ruotc : cmene : ruotc
ruutc : cmene : ruutc
ruytc : cmene : ruytc
ryatc : UNMATCHED : ryatc
ryetc : UNMATCHED : ryetc
ryitc : UNMATCHED : ryitc
ryotc : UNMATCHED : ryotc
ryutc : UNMATCHED : ryutc
ryytc : cmene : ryytc
ra,atc : cmene : ra,atc
ra,etc : cmene : ra,etc
ra,itc : cmene : ra,itc
ra,otc : cmene : ra,otc
ra,utc : cmene : ra,utc
ra,ytc : UNMATCHED : ra,ytc
re,atc : cmene : re,atc
re,etc : cmene : re,etc
re,itc : cmene : re,itc
re,otc : cmene : re,otc
re,utc : cmene : re,utc
re,ytc : UNMATCHED : re,ytc
ri,atc : cmene : ri,atc
ri,etc : cmene : ri,etc
ri,itc : cmene : ri,itc
ri,otc : cmene : ri,otc
ri,utc : cmene : ri,utc
ri,ytc : cmene : ri,ytc
ro,atc : cmene : ro,atc
ro,etc : cmene : ro,etc
ro,itc : cmene : ro,itc
ro,otc : cmene : ro,otc
ro,utc : cmene : ro,utc
ro,ytc : UNMATCHED : ro,ytc
ru,atc : cmene : ru,atc
ru,etc : cmene : ru,etc
ru,itc : cmene : ru,itc
ru,otc : cmene : ru,otc
ru,utc : cmene : ru,utc
ru,ytc : cmene : ru,ytc
ry,atc : UNMATCHED : ry,atc
ry,etc : UNMATCHED : ry,etc
ry,itc : UNMATCHED : ry,itc
ry,otc : UNMATCHED : ry,otc
ry,utc : UNMATCHED : ry,utc
ry,ytc : cmene : ry,ytc
ra'ytc : cmene : ra'ytc
re'ytc : cmene : re'ytc
ri'ytc : cmene : ri'ytc
ro'ytc : cmene : ro'ytc
ru'ytc : cmene : ru'ytc
ry'ytc : cmene : ry'ytc
ry'atc : cmene : ry'atc
ry'etc : cmene : ry'etc
ry'itc : cmene : ry'itc
ry'otc : cmene : ry'otc
ry'utc : cmene : ry'utc

(The other 25 forms {[aeiou]'[aeiou]} with apostrophes in them will all
be 'approved' as cmene and aren't interesting to show.) I think the
'special' cases above are that iy and uy are allowed in cmene, but other
pairs involving {y} are not allowed. That was my reading of the book
anyway. I think we established some time back that any cluster involving
just a,e,i,o or u was allowed in cmene and fu'ivla (although for fu'ivla
the consonant structure must not match that of a lujvo or gismu.)

Are there any systematic faults in this analysis? If there are, please
let me know!

-- 
Richard.
---------------------------------+-------------------------------------
Richard P. Curnow | C++: n., An octopus made by
Weston-super-Mare, UK | nailing extra legs on a cat.
http://www.rrbcurnow.freeuk.com/ |